# encoding: UTF-8
module Admin
  class SectionsController < Admin::ApplicationController
    before_filter :set_relation_options, only: [:new, :edit, :create, :update]
    # GET /sections
    # GET /sections.json
    def index
      @sections = Section.all

      respond_to do |format|
        format.html # index.html.erb
        format.json { render json: @sections }
      end
    end

    # GET /sections/1
    # GET /sections/1.json
    def show
      @section = Section.find(params[:id])

      respond_to do |format|
        format.html # show.html.erb
        format.json { render json: @section }
      end
    end

    # GET /sections/new
    # GET /sections/new.json
    def new
      @section = Section.new

      respond_to do |format|
        format.html # new.html.erb
        format.json { render json: @section }
      end
    end

    # GET /sections/1/edit
    def edit
      @section = Section.find(params[:id])
    end

    # POST /sections
    # POST /sections.json
    def create
      @section = Section.new(section_params)
      @section.supplier_id = params[:section][:supplier_id]

      respond_to do |format|
        if @section.save
          format.html { redirect_to [:admin, @section], notice: t('action.create.successfull', model: Section.model_name.human) }
          format.json { render json: @section, status: :created, location: @section }
        else
          format.html { render action: "new" }
          format.json { render json: @section.errors, status: :unprocessable_entity }
        end
      end
    end

    # PUT /sections/1
    # PUT /sections/1.json
    def update
      @section = Section.find(params[:id])

      respond_to do |format|
        if @section.update_attributes(section_params)
          format.html { redirect_to [:admin, @section], notice: t('action.update.successfull', model: Section.model_name.human) }
          format.json { head :no_content }
        else
          format.html { render action: "edit" }
          format.json { render json: @section.errors, status: :unprocessable_entity }
        end
      end
    end

    # DELETE /sections/1
    # DELETE /sections/1.json
    def destroy
      @section = Section.find(params[:id])
      @section.destroy

      respond_to do |format|
        format.html { redirect_to admin_sections_path, notice: t('action.destroy.successfull', model: Section.model_name.human) }
        format.json { head :no_content }
      end
    end

    private

    def set_relation_options
      @suppliers = Supplier.all
    end

    def section_params
      params.require(:section).permit!
    end
  end
end
